package com.sunxung.factoring.entity.businessmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.FileStorage;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author liutao
 * 业务管理基本信息
 */
@TableName(value = "business_basic_his_info")
public class BusinessBasicInfoHistory extends BaseEntity {
    /**
     * 业务主表信息   和历史表做关联
     */
    @TableField(value = "business_basic_info_id")
    private Long businessBasicInfoId;

    /**
     * 业务编号
     */
    @TableField(value = "business_number")
    private String businessNumber;

    /**
     * 业务名称
     */
    @TableField(value = "business_name")
    private String name;
    /**
     * 核心企业id
     */
    @TableField(value = "enterprise_customer_info_id")
    private Long enterpriseCustomerInfoId;
    /**
     * 贸易平台
     */
    @TableField(value = "trading_platform_id")
    private Long tradingPlatformId;
    /**
     * 保证金上限(履约保证金)
     */
    @TableField(value = "deposit_limit")
    private BigDecimal depositLimit;
    /**
     * 项目内容
     */
    @TableField(value = "contents")
    private String contents;
    /**
     * 业务经理Id
     */
    @TableField(value = "manager_id")
    private Long managerId;

    /**
     * 是否招投标 0否  1是
     */
    @TableField(value = "bidding")
    private Integer bidding;

    /**
     * 是否资格预审 0否  1是
     */
    @TableField(value = "prequalification")
    private Integer prequalification;

    /**
     * 资格预审材料说明
     */
    @TableField(value = "description_of_prequalification_materials")
    private String descriptionOfPrequalificationMaterials;

    /**
     * 当前阶段
     */
    @TableField(value = "stage")
    private Long stage;

    /**
     * 状态
     */
    @TableField(value = "status")
    private String statusDic;

    /**
     * 附件
     */
    @TableField(exist = false)
    private List<FileStorage> fileStorage;

    /**
     * 供货商
     */
    @TableField(exist = false)
    private List<BusinessSupplierInfoHistory> businessSupplierInfos;

    @TableField(exist = false)
    private String userName;

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public List<BusinessSupplierInfoHistory> getBusinessSupplierInfos() {
        return businessSupplierInfos;
    }

    public void setBusinessSupplierInfos(List<BusinessSupplierInfoHistory> businessSupplierInfos) {
        this.businessSupplierInfos = businessSupplierInfos;
    }

    public List<FileStorage> getFileStorage() {
        return fileStorage;
    }

    public void setFileStorage(List<FileStorage> fileStorage) {
        this.fileStorage = fileStorage;
    }

    public Long getStage() {
        return stage;
    }

    public void setStage(Long stage) {
        this.stage = stage;
    }

    public String getStatusDic() {
        return statusDic;
    }

    public void setStatusDic(String statusDic) {
        this.statusDic = statusDic;
    }

    public Long getBusinessBasicInfoId() {
        return businessBasicInfoId;
    }

    public void setBusinessBasicInfoId(Long businessBasicInfoId) {
        this.businessBasicInfoId = businessBasicInfoId;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getEnterpriseCustomerInfoId() {
        return enterpriseCustomerInfoId;
    }

    public void setEnterpriseCustomerInfoId(Long enterpriseCustomerInfoId) {
        this.enterpriseCustomerInfoId = enterpriseCustomerInfoId;
    }

    public Long getTradingPlatformId() {
        return tradingPlatformId;
    }

    public void setTradingPlatformId(Long tradingPlatformId) {
        this.tradingPlatformId = tradingPlatformId;
    }

    public BigDecimal getDepositLimit() {
        return depositLimit;
    }

    public void setDepositLimit(BigDecimal depositLimit) {
        this.depositLimit = depositLimit;
    }

    public String getContents() {
        return contents;
    }

    public void setContents(String contents) {
        this.contents = contents;
    }

    public Long getManagerId() {
        return managerId;
    }

    public void setManagerId(Long managerId) {
        this.managerId = managerId;
    }

    public Integer getBidding() {
        return bidding;
    }

    public void setBidding(Integer bidding) {
        this.bidding = bidding;
    }

    public Integer getPrequalification() {
        return prequalification;
    }

    public void setPrequalification(Integer prequalification) {
        this.prequalification = prequalification;
    }

    public String getDescriptionOfPrequalificationMaterials() {
        return descriptionOfPrequalificationMaterials;
    }

    public void setDescriptionOfPrequalificationMaterials(String descriptionOfPrequalificationMaterials) {
        this.descriptionOfPrequalificationMaterials = descriptionOfPrequalificationMaterials;
    }
}
